@media screen and (max-width: 1270px) {
  #home {
    height: 83vh;
    margin-bottom: 6rem;
  }

  .about-containers {
    flex-wrap: wrap;
  }

  #contact,
  #projects {
    height: fit-content;
  }
}

/* MacBook Pro and similar screen sizes */
@media screen and (max-width: 1440px) and (min-width: 1271px) {
  section {
    margin: 0 8rem;
  }

  .experience-details-container {
    flex-direction: column;
    gap: 2rem;
  }

  .about-containers {
    flex-direction: column;
    gap: 2rem;
  }

  .article-container {
    justify-content: center;
    gap: 2rem;
  }

  article {
    width: 8rem;
  }

  #work-experience {
    padding: 1rem;
  }

  .work-experience-item {
    margin: 1rem 0;
    padding: 1.5rem;
  }
}


@media screen and (max-width: 1120px) {
  #desktop-nav {
    display: none;
  }

  #hamburger-nav {
    display: flex;
  }

  #experience,
  #work-experience,
  .experience-details-container {
    margin-top: 2rem;
  }

  #home,
  .section-container {
    display: block;
  }

  section,
  .section-container {
    height: fit-content;
  }

  section {
    margin: 0 5%;
  }

  .section-picture-container {
    width: 275px;
    height: 275px;
    margin: 0 auto 2rem;
  }

  .about-containers {
    margin-top: 0;
  }

  .work-experience-item {
    margin: 1.5rem 0;
    padding: 1.5rem;
  }

  .work-description ul {
    margin-left: 1.5rem;
  }
}

@media screen and (max-width: 600px) {

  #contact,
  footer {
    height: 40vh;
  }

  #home {
    height: 83vh;
    margin-bottom: 0;
  }

  article {
    font-size: 1rem;
  }

  footer nav {
    height: fit-content;
    margin-bottom: 2rem;
  }

  .about-containers,
  .contact-info-container-main,
  .button-container {
    flex-wrap: wrap;
  }

  .contact-info-container {
    margin: 0;
  }

  .contact-info-container p,
  .nav-links li a {
    font-size: 1rem;
  }

  .experience-sub-title {
    font-size: 1.25rem;
  }

  .logo {
    font-size: 1.5rem;
  }

  .nav-links {
    flex-direction: column;
    gap: 0.5rem;
    text-align: center;
  }

  .section-picture-container {
    width: auto;
    height: 46vh;
    justify-content: center;
  }

  .section-text-p2 {
    font-size: 1.25rem;
  }

  .title {
    font-size: 2rem;
  }

  .text-container {
    text-align: justify;
  }
}